Debian Bug report logs - #679761
olsrd: FTBFS[kfreebsd]: fatal error: linux/types.h: No such file or directory

version graph

Package: src:olsrd; Maintainer for src:olsrd is Roland Stigge <stigge@antcom.de>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 1 Jul 2012 11:39:27 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version olsrd/0.6.3-3

Fixed in version olsrd/0.6.3-4

Done: Roland Stigge <stigge@antcom.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Roland Stigge <stigge@antcom.de>:
Bug#679761; Package src:olsrd. (Sun, 01 Jul 2012 11:39:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Roland Stigge <stigge@antcom.de>. (Sun, 01 Jul 2012 11:39:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: olsrd: FTBFS[kfreebsd]: fatal error: linux/types.h: No such file or directory
Date: Sun, 01 Jul 2012 13:11:23 +0200
Package: src:olsrd
Version: 0.6.3-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

[CC] src/lq_plugin_default_float.c
[CC] src/lq_plugin_default_fpm.c
[CC] src/main.c
src/main.c:65:25: fatal error: linux/types.h: No such file or directory
compilation terminated.
make[2]: *** [src/main.o] Error 1
make[2]: Leaving directory `/build/buildd-olsrd_0.6.3-3-kfreebsd-amd64-4pNbb2/olsrd-0.6.3'
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/build/buildd-olsrd_0.6.3-3-kfreebsd-amd64-4pNbb2/olsrd-0.6.3'
make: *** [build-arch] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=olsrd&arch=kfreebsd-amd64&ver=0.6.3-3&stamp=1341076534

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Stigge <stigge@antcom.de>:
Bug#679761; Package src:olsrd. (Thu, 05 Jul 2012 13:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Stigge <stigge@antcom.de>. (Thu, 05 Jul 2012 13:51:11 GMT) Full text and rfc822 format available.

Message #10 received at 679761@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 679761@bugs.debian.org, 679761-submitter@bugs.debian.org
Subject: olsrd: FTBFS[kfreebsd]: fatal error: linux/types.h: No such file or directory
Date: Thu, 5 Jul 2012 15:49:02 +0200
Hi,

looking at the debdiff between 0.6.3-2 and 0.6.3-3, it looks the 
following change broke it:
diff -Nru olsrd-0.6.3/debian/rules olsrd-0.6.3/debian/rules
--- olsrd-0.6.3/debian/rules    2012-02-19 16:07:42.000000000 +0100
+++ olsrd-0.6.3/debian/rules    2012-06-28 00:26:51.000000000 +0200
@@ -7,39 +7,38 @@
        dh $@
 
 override_dh_auto_build: 
-       $(MAKE)
-       $(MAKE) libs
+       $(MAKE) OS=linux DEBUG=0 build_all
        $(MAKE) -C gui/linux-gtk
        $(MAKE) -C src/olsr_switch
 
obviously, kfreebsd isn't linux and thus fails.
Not tagging patch or anything, as I didnt try to rebuild w/o OS=linux.

Enjoy
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Message sent on to debian-bsd@lists.debian.org:
Bug#679761. (Thu, 05 Jul 2012 13:51:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland Stigge <stigge@antcom.de>:
Bug#679761; Package src:olsrd. (Fri, 06 Jul 2012 08:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to evgeni@debian.org:
Extra info received and forwarded to list. Copy sent to Roland Stigge <stigge@antcom.de>. (Fri, 06 Jul 2012 08:39:07 GMT) Full text and rfc822 format available.

Message #18 received at 679761@bugs.debian.org (full text, mbox):

From: evgeni@debian.org
To: 679761@bugs.debian.org
Subject: olsrd: diff for NMU version 0.6.3-3.1
Date: Fri, 06 Jul 2012 10:37:07 +0200
tags 679761 + patch
tags 679761 + pending
thanks

Dear maintainer,

I've prepared an NMU for olsrd (versioned as 0.6.3-3.1) and
will upload it to DELAYED/2 as soon I am in reach of my key (which 
will be tonight CEST). Please feel free to tell me if I should 
delay it longer.

Regards.
Evgeni Golov

diff -Nru olsrd-0.6.3/debian/changelog olsrd-0.6.3/debian/changelog
--- olsrd-0.6.3/debian/changelog	2012-06-30 16:00:52.000000000 +0200
+++ olsrd-0.6.3/debian/changelog	2012-07-06 10:20:17.000000000 +0200
@@ -1,3 +1,11 @@
+olsrd (0.6.3-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Drop OS=linux from the make call, fixing FTBFS on !linux
+    Closes: #679761
+
+ -- Evgeni Golov <evgeni@debian.org>  Fri, 06 Jul 2012 10:19:48 +0200
+
 olsrd (0.6.3-3) unstable; urgency=low
 
   * update broken jsoninfo plugin with patches from upstream git
diff -Nru olsrd-0.6.3/debian/rules olsrd-0.6.3/debian/rules
--- olsrd-0.6.3/debian/rules	2012-06-28 00:26:51.000000000 +0200
+++ olsrd-0.6.3/debian/rules	2012-07-06 10:19:47.000000000 +0200
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_build: 
-	$(MAKE) OS=linux DEBUG=0 build_all
+	$(MAKE) DEBUG=0 build_all
 	$(MAKE) -C gui/linux-gtk
 	$(MAKE) -C src/olsr_switch
 




Added tag(s) patch. Request was from evgeni@debian.org to control@bugs.debian.org. (Fri, 06 Jul 2012 08:39:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from evgeni@debian.org to control@bugs.debian.org. (Fri, 06 Jul 2012 08:39:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#679761; Package src:olsrd. (Fri, 06 Jul 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. (Fri, 06 Jul 2012 11:39:06 GMT) Full text and rfc822 format available.

Message #27 received at 679761@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: evgeni@debian.org, 679761@bugs.debian.org
Subject: Re: Bug#679761: olsrd: diff for NMU version 0.6.3-3.1
Date: Fri, 06 Jul 2012 13:34:55 +0200
Hi!

On 07/06/2012 10:37 AM, evgeni@debian.org wrote:
> I've prepared an NMU for olsrd (versioned as 0.6.3-3.1) and
> will upload it to DELAYED/2 as soon I am in reach of my key (which 
> will be tonight CEST). Please feel free to tell me if I should 
> delay it longer.

Thanks for your patch!

I'd prefer to upload it myself, since we need to include the patch to
the Debian SVN anyway.

If HC doesn't do, I'll upload later today.

Thanks,

Roland




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Stigge <stigge@antcom.de>:
Bug#679761; Package src:olsrd. (Fri, 06 Jul 2012 11:48:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Roland Stigge <stigge@antcom.de>. (Fri, 06 Jul 2012 11:48:29 GMT) Full text and rfc822 format available.

Message #32 received at 679761@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Roland Stigge <stigge@antcom.de>
Cc: 679761@bugs.debian.org
Subject: Re: Bug#679761: olsrd: diff for NMU version 0.6.3-3.1
Date: Fri, 6 Jul 2012 13:45:51 +0200
Hi,

On Fri, Jul 06, 2012 at 01:34:55PM +0200, Roland Stigge wrote:
> On 07/06/2012 10:37 AM, evgeni@debian.org wrote:
> > I've prepared an NMU for olsrd (versioned as 0.6.3-3.1) and
> > will upload it to DELAYED/2 as soon I am in reach of my key (which 
> > will be tonight CEST). Please feel free to tell me if I should 
> > delay it longer.
> 
> Thanks for your patch!

yw

> I'd prefer to upload it myself, since we need to include the patch to
> the Debian SVN anyway.
> 
> If HC doesn't do, I'll upload later today.

Sure, go on, less trouble for me :)

Thanks
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Reply sent to Roland Stigge <stigge@antcom.de>:
You have taken responsibility. (Fri, 06 Jul 2012 17:36:09 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 06 Jul 2012 17:36:09 GMT) Full text and rfc822 format available.

Message #37 received at 679761-close@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 679761-close@bugs.debian.org
Subject: Bug#679761: fixed in olsrd 0.6.3-4
Date: Fri, 06 Jul 2012 17:32:17 +0000
Source: olsrd
Source-Version: 0.6.3-4

We believe that the bug you reported is fixed in the latest version of
olsrd, which is due to be installed in the Debian FTP archive:

olsrd-gui_0.6.3-4_i386.deb
  to main/o/olsrd/olsrd-gui_0.6.3-4_i386.deb
olsrd-plugins_0.6.3-4_i386.deb
  to main/o/olsrd/olsrd-plugins_0.6.3-4_i386.deb
olsrd_0.6.3-4.debian.tar.gz
  to main/o/olsrd/olsrd_0.6.3-4.debian.tar.gz
olsrd_0.6.3-4.dsc
  to main/o/olsrd/olsrd_0.6.3-4.dsc
olsrd_0.6.3-4_i386.deb
  to main/o/olsrd/olsrd_0.6.3-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roland Stigge <stigge@antcom.de> (supplier of updated olsrd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Jul 2012 18:58:27 +0200
Source: olsrd
Binary: olsrd olsrd-plugins olsrd-gui
Architecture: source i386
Version: 0.6.3-4
Distribution: unstable
Urgency: low
Maintainer: Roland Stigge <stigge@antcom.de>
Changed-By: Roland Stigge <stigge@antcom.de>
Description: 
 olsrd      - optimized link-state routing daemon (unik-olsrd)
 olsrd-gui  - GTK GUI to control and get info about olsrd
 olsrd-plugins - various plugins to enhance olsrd
Closes: 679761
Changes: 
 olsrd (0.6.3-4) unstable; urgency=low
 .
   * debian/rules: Drop OS=linux from the make call, fixing FTBFS on !linux,
     thanks to Evgeni Golov (Closes: #679761)
Checksums-Sha1: 
 f7c4b88ba88cf3860830f7785a98c09ee7c2580b 1335 olsrd_0.6.3-4.dsc
 df839fbaf159601efa71dca14475535e96bd71c4 25947 olsrd_0.6.3-4.debian.tar.gz
 1ff8eeba93cdb336110da4b7599d8d6a95fb19dd 249044 olsrd_0.6.3-4_i386.deb
 ebbfe65da8b2db27bcb26ac5c19d24b3e9ca6f58 277904 olsrd-plugins_0.6.3-4_i386.deb
 fdfefba128a11767e7d53cb61ecfd090e2be60cd 81516 olsrd-gui_0.6.3-4_i386.deb
Checksums-Sha256: 
 ea7239e0c6a7372e44f7ea8ca5b08101c9b3da57bb39174711ddd196c6433bf4 1335 olsrd_0.6.3-4.dsc
 1b02f918db70844c51f4cfbc4a6b7b678be5eaf5cd283157f743db083fe16c36 25947 olsrd_0.6.3-4.debian.tar.gz
 a9dba5b93b99dd6b01b6a14f40980a080d7cd241083d6095e951f5f4bcb310b7 249044 olsrd_0.6.3-4_i386.deb
 cbf39e7b50bcb054a4e17141846c75831fed838be8aa5a94704720bd40450f66 277904 olsrd-plugins_0.6.3-4_i386.deb
 4afafe0d2002463972f4ea0d9251536084c732d7041d6a6926d21831b3222f79 81516 olsrd-gui_0.6.3-4_i386.deb
Files: 
 ee08bbfa464ede1610b18d47b8ea498f 1335 net extra olsrd_0.6.3-4.dsc
 30def6711e33fc9724d29932e887c516 25947 net extra olsrd_0.6.3-4.debian.tar.gz
 38e63d0fbea9341ca9bc8dc7fb1a9e1b 249044 net extra olsrd_0.6.3-4_i386.deb
 591dec34dcf948e7b7d89e6c8e0e8a1e 277904 net extra olsrd-plugins_0.6.3-4_i386.deb
 b5568d4bdcffee286d44cfea49c5b6de 81516 net extra olsrd-gui_0.6.3-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP9x1OcaH/YBv43g8RApMzAJ4vp5j4EL9XdhW2mMV4HvAm+kKG9QCgsRPn
UuJurtegwXqRUI3S2dY4n34=
=sR80
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Aug 2012 07:31:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:29:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.